package com.wrj.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户答题练习表入参
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("答题练习查询入参")
public class QuestionPracticeQueryDto extends PageParam implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @ApiModelProperty(value = "题目标识",required = true)
    private Long questionId;

    /**
     * 题目
     */
    @ApiModelProperty(value = "题目")
    private String question;

    /**
     * 学员手机号或姓名
     */
    @ApiModelProperty("学员手机号或姓名")
    private String userNameOrPhone;

    /**
     * 用户选择的答案
     */
    @ApiModelProperty("用户选择的答案")
    private String answer;

    /**
     * 答题结果 1-正确 2-错误
     */
    @ApiModelProperty("答题结果 1-正确 2-错误")
    private String answerResult;

    /**
     * 答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试
     */
    @ApiModelProperty(value = "答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试 5-错题训练 6-收藏训练",required = true)
    private String practiceType;

    /**
     * 答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试
     */
    @ApiModelProperty(value = "答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试 5-错题训练 6-收藏训练",required = true)
    private List<String> practiceTypeList;
}
