package com.wrj.driver.server.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.wrj.driver.server.dto.QuestionPracticeQueryDto;
import com.wrj.driver.server.entity.WrjQuestionPractice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wrj.driver.server.vo.QuestionPracticeVo;
import com.wrj.driver.server.vo.UserQuestionPracticeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 用户答题练习表 Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */

@Mapper
public interface WrjQuestionPracticeMapper extends BaseMapper<WrjQuestionPractice> {

    int clearPracticeRecord(@Param("userId") Long userId, @Param("practiceType") String practiceType);

    IPage<QuestionPracticeVo> queryQuestionPracticePage(@Param("page") Page<QuestionPracticeVo> page, @Param("queryDto") QuestionPracticeQueryDto queryDto);

    /**
     * 查询用户答题信息
     *
     * @param questionIdList
     * @param userId
     * @return
     */
    List<UserQuestionPracticeVo> queryUserQuestionPracticeMsg(@Param("questionIdList") List<Long> questionIdList, @Param("userId") Long userId, @Param("practiceType") String practiceType);
}
