package com.wrj.driver.server.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 用户答题练习
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("用户答题练习出参")
public class QuestionPracticeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 练习标识
     */
    @ApiModelProperty("练习标识")
    private Long practiceId;

    /**
     * 题目标识
     */
    @ApiModelProperty("题目标识")
    private Long questionId;

    /**
     * 题目内容
     */
    @ApiModelProperty("题目内容")
    private String question;

    /**
     * 题目类型
     */
    @ApiModelProperty("题目类型")
    private String type;

    /**
     * 选项A
     */
    @ApiModelProperty("选项A")
    private String chooseA;

    /**
     * 选项B
     */
    @ApiModelProperty("选项B")
    private String chooseB;

    /**
     * 选项C
     */
    @ApiModelProperty("选项C")
    private String chooseC;

    /**
     * 选项D
     */
    @ApiModelProperty("选项D")
    private String chooseD;

    /**
     * 选项E
     */
    @ApiModelProperty("选项E")
    private String chooseE;

    /**
     * 选项F
     */
    @ApiModelProperty("选项F")
    private String chooseF;

    /**
     * 选项G
     */
    @ApiModelProperty("选项G")
    private String chooseG;

    @ApiModelProperty("选项列表")
    private List<QuestionVo.QuestionOption> optionList;

    /**
     * 正确答案
     */
    @ApiModelProperty("正确答案")
    private String trueAnswer;

    /**
     * 题目图片url
     */
    @ApiModelProperty("题目图片url")
    private String imageUrl;

    /**
     * 用户标识
     */
    @ApiModelProperty("用户标识")
    private Long userId;

    /**
     * 用户名称
     */
    @ApiModelProperty("用户名称")
    private String userName;

    /**
     * 用户手机号
     */
    @ApiModelProperty("用户手机号")
    private String phone;

    /**
     * 练习类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试  5-错题训练 6-收藏训练
     */
    @ApiModelProperty("练习类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试  5-错题训练 6-收藏训练")
    private String practiceType;

    /**
     * 用户选择的答案
     */
    @ApiModelProperty("用户选择的答案")
    private String answer;

    /**
     * 答题结果 1-正确 2-错误
     */
    @ApiModelProperty("答题结果 1-正确 2-错误")
    private String answerResult;

    /**
     * 业务标识，顺序练习对应顺序练习批次，模拟考试对应考试test_id
     */
    @ApiModelProperty("业务标识，顺序练习对应顺序练习批次，模拟考试对应考试test_id")
    private Long businessCode;

    /**
     * 练习时间
     */
    @ApiModelProperty("答题时间")
    private String practiceTime;

}
