package com.wrj.driver.server.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户答题练习参数
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("用户答题练习出参")
public class UserQuestionPracticeVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @ApiModelProperty("题目标识")
    private Long questionId;

    /**
     * 用户标识
     */
    @ApiModelProperty("用户标识")
    private Long userId;

    /**
     * 用户选择的答案
     */
    @ApiModelProperty("用户选择的答案")
    private String answer;

    /**
     * 答题结果 1-正确 2-错误
     */
    @ApiModelProperty("答题结果 1-正确 2-错误")
    private String answerResult;

    /**
     * 练习时间
     */
    @ApiModelProperty("答题时间")
    private String practiceTime;

    /**
     * 用户答题次数
     */
    @ApiModelProperty("用户答题次数")
    private Long userAnswerNumbr;

    /**
     * 用户答题正确次数
     */
    @ApiModelProperty("用户答题正确次数")
    private Long userRightNumber;

}
